/**
 * NotesLoadEvent
 * 
 * This event is dispatched when notes have been loaded.
 */
 
package com.adobe.events
{
	import flash.events.Event;
	import com.adobe.actors.TicketNote;

	public class NotesLoadEvent extends Event
	{
		public static const NOTES_LOADED:String = "notesLoaded";
		
		public function NotesLoadEvent( a:Array )
		{
			super(NOTES_LOADED);
			notes = a;	
		}
		
		public var notes:Array;
	}
}