/**
 * SaveEvent
 * 
 * This event is dispatched by the SupportService when it has received acknowledgement
 * that the ticket and/or note have been saved.
 */
package com.adobe.events
{
	import flash.events.Event;

	public class SaveEvent extends Event
	{
		public static const SAVE_TICKET:String = "ticketSaved";
		public static const SAVE_NOTE:String   = "noteSaved";
		
		public function SaveEvent( type:String, ID:Number )
		{
			super(type);
			this.ID = ID;
		}
		
		public var ID:Number;
		
	}
}