<?php 
/**
 * getCustomersForEngineer
 * Requests all of the customers assigned to the given engineer
 *
 * Initial version : 13 Nov 2006
 * by PhilFlash - http://philflash.inway.fr
 */
 	require_once('connectdb.php');

    // ----- NO CACHE -----
	session_cache_limiter('nocache');

	// General header for no caching
	$now = gmdate('D, d M Y H:i:s') . ' GMT';
	header('Expires: ' . $now); // rfc2616 - Section 14.21
	header('Last-Modified: ' . $now);
	header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0'); // HTTP/1.1
	header('Pragma: no-cache'); // HTTP/1.0

 	header("Content-Type: text/xml; charset=utf-8");

	// ----- Functions -----
	function formatAttributeValue($theValue) {
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }

	function formatTagValue($theValue) {
		if ($theValue == "") {
			return "";
		}
	 	$theValue =	htmlspecialchars($theValue, ENT_COMPAT);
		$theValue = str_replace("'", "&apos;", $theValue);
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }
    
	// ----- MySQL Connection -----
	mysql_select_db($database_db, $connect_db);
	
	// ----- Check Parameter -----
	if (isset($_GET['id'])) {
		$value = $_GET['id'];
		if (is_numeric ($value)) {
			$engineerID = intval($value);
		} else {
			$engineerID = 0;
		}
		if ($engineerID < 0) $engineerID = 0;
	} else {
		$engineerID = 0;
	}
	
	// ----- SQL command -----
	$query = "SELECT c.id,c.company,c.status,c.contact_name,c.contact_email,c.contact_phone,c.contact_address1," 
			. " c.contact_address2,c.contact_address3,c.contact_address4 from st_engineers e, st_customers c, st_customer_engineer_map g"
			. " where e.id = g.engineer_id and c.id = g.customer_id"
			. " and e.id =".$engineerID;
	$recordset = mysql_query($query, $connect_db) or die(mysql_error());

	// create document object
	$dom = new DOMDocument();
	$dom->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?><list></list>");

	$rootNode = $dom->documentElement;
	
	while ($row_recordset = mysql_fetch_array($recordset)) {

		// create item node
		$record = new DOMElement("elt", "");
		$rootNode->appendChild($record);
		
		$record->setAttribute("id", $row_recordset[0]);
		$record->setAttribute("company", formatAttributeValue($row_recordset[1]));
		$record->setAttribute("status", formatAttributeValue($row_recordset[2]));	
		$record->setAttribute("contact_name", formatAttributeValue($row_recordset[3]));	
		$record->setAttribute("contact_email", formatAttributeValue($row_recordset[4]));	
		$record->setAttribute("contact_phone", formatAttributeValue($row_recordset[5]));
		
		$record->setAttribute("contact_address1", formatAttributeValue($row_recordset[6]));
		$record->setAttribute("contact_address2", formatAttributeValue($row_recordset[7]));
		$record->setAttribute("contact_address3", formatAttributeValue($row_recordset[8]));
		$record->setAttribute("contact_address4", formatAttributeValue($row_recordset[9]));
	}

	mysql_free_result($recordset);
	mysql_close();

	// print the XML
	print $dom->saveXML();
?>
