<?php 
/**
 * getAllProducts
 *
 * Initial version : 13 Nov 2006
 * by PhilFlash - http://philflash.inway.fr
 */
 	require_once('connectdb.php');

    // ----- NO CACHE -----
	session_cache_limiter('nocache');

	// General header for no caching
	$now = gmdate('D, d M Y H:i:s') . ' GMT';
	header('Expires: ' . $now); // rfc2616 - Section 14.21
	header('Last-Modified: ' . $now);
	header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0'); // HTTP/1.1
	header('Pragma: no-cache'); // HTTP/1.0

 	header("Content-Type: text/xml; charset=utf-8");

	// ----- Functions -----
	function formatAttributeValue($theValue) {
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }

	function formatTagValue($theValue) {
		if ($theValue == "") {
			return "";
		}
	 	$theValue =	htmlspecialchars($theValue, ENT_COMPAT);
		$theValue = str_replace("'", "&apos;", $theValue);
		$theValue = utf8_encode($theValue);
    	return $theValue;
    }
    
	// ----- MySQL Connection -----
	mysql_select_db($database_db, $connect_db);
	
	// ----- SQL command -----
	$query = "SELECT name, versions FROM st_products";
	$recordset = mysql_query($query, $connect_db) or die(mysql_error());

	// create document object
	$dom = new DOMDocument();
	$dom->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?><products></products>");

	$rootNode = $dom->documentElement;
	
	while ($row_recordset = mysql_fetch_array($recordset)) {

		// create item node
		$record = new DOMElement("product", "");
		$rootNode->appendChild($record);
		
		$record->setAttribute("name", formatAttributeValue($row_recordset[0]));
		$record->setAttribute("versions", formatAttributeValue($row_recordset[1]));		
	}

	mysql_free_result($recordset);
	mysql_close();

	// print the XML
	print $dom->saveXML();
?>
