/**
 * DateChangeEvent
 *
 * This event is dispatched from the DateSelector pop-up whenever
 * the user presses the Save (change event) or Cancel (cancel event)
 * button. 
 * 
 * The information from the DateSelector will have been stored into the
 * ApplicationState.instance.
 *
 */
 
package com.adobe.events
{
	import flash.events.Event;

	public class DateChangeEvent extends Event
	{
		public static const CANCEL:String = "cancel";
		public static const CHANGE:String = "change";
		
		public function DateChangeEvent( type:String )
		{
			super(type);
		}
	}
}