/**
 * FindTicketEvent
 * 
 * This event is dispatched from the ToolBar and contains the ticket number
 * to load.
 */
 
package com.adobe.events
{
	import flash.events.Event;

	public class FindTicketEvent extends Event
	{
		public static const FIND_TICKET:String = "findTicket";
		
		/**
		 * constructor
		 */
		public function FindTicketEvent( ticketId:Number )
		{
			super(FIND_TICKET);
			
			this.ticketId = ticketId;
		}
		
		public var ticketId:Number;
	}
}